*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  background-color: #f4f4f4;
  margin: 0;
  padding: 0;
}

#main-heading {
  text-align: center;
  color: #333;
  font-family: Georgia, 'Times New Roman', Times, serif;
  margin-top: 1rem;
  margin-bottom: 1.5rem;
}

.grid-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 10px;
  width: 65%;
  margin: auto;
  padding: 15px;
  background-color: #f5f5f5;
  box-shadow: 0 0 10px rgba(128, 128, 128, 0.1);
  border-radius: 7px;
}

@media only screen and (max-width:780px) {
  .grid-container{
    width: 85%;
    padding: 15px;
  }
}

.containerElement {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 20px;
  margin: auto 7%;
  margin-bottom: 2rem;
  padding: 15px;
  padding-bottom: 0px;
  background-color: #f0f1f3;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
@media only screen and (max-width:800px) {
  .containerElement{
    grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
  }
}

.input-container {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1fr;
  grid-gap: 10px;
}

@media only screen and (max-width:780px) {
  .input-container {
    display: grid;
    grid-template-columns: 1fr;
  }
}

input[type="text"],
input[type="date"],
#todo-priority,
button {
  width: 100%;
  padding: 10px;
  margin: 5px 0;
  box-sizing: border-box;
  font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 1rem;
}

button{
  width: 32%;
  height: 70%;
  text-align: center;
}

input[type="text"],
input[type="date"],
#todo-priority {
  border: 1px solid #ccc;
  border-radius: 5px;
}

#add-todo {
  background-color: #2ecc71;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  width: 100%;
  height: inherit;
}

#add-todo:hover {
  background-color: #27ae60;
}

.btn-mark, .btn-edit,.btn-del {
  padding: 8px 12px;
  cursor: pointer;
  border: none;
  border-radius: 5px;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.btn-mark {
  background-color: #FF8C00;
  color: #fff;
}

.btn-mark:hover {
  background-color: #ca832c;
}

.btn-edit {
  background-color: #3498db;
  color: #fff;
}

.btn-edit:hover {
  background-color: #2980b9;
}

.btn-del{
  background-color: #FF4500;
  color: #fff;
  cursor: pointer;
  border: none;
  border-radius: 5px;
}
.btn-del:hover{
  background-color: #FF6347;
}
.containerElement {
  margin-top: 20px;
}

.new-todo{
  word-break: break-all;
  margin-bottom: 5px;
}

.filter-container {
  text-align: center;
  margin: 20px;
}

.filter-container label {
  font-size: 16px;
  margin-right: 10px;
}

.filter-container select {
  padding: 8px;
  font-size: 14px;
  border: 1px solid #337eb0;
  border-radius: 5px;
  color: #333;
}

.todo-item {
  display: grid;
  grid-template-columns: 1fr;
  gap: 10px;
  padding: 15px;
  border: 1px solid #ddd;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 15px;
}

.todo-item.completed {
  background-color: #e0eff5;
}

.new-todo {
  font-weight: bold;
  font-size: 18px;
  color: #2c3e50;
}

.todo-details {
  font-size: 14px;
  color: #555;
}

.paraText{
  float: right;
}
@media only screen and (max-width:800px) {
  .paraText{
    float: none;
  }
}